Bug 143667 - /usr/lib/python* not owned by x86_64 package
/usr/lib/python* not owned by x86_64 package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-23 11:28 EST by Axel Thimm
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-26 07:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2004-12-23 11:28:54 EST
Description of problem:
In multilib/multiarch setups only the native python libdir is owned by
the package. This breaks dependencies like

Requires: /usr/lib/python2.3/...

that could be used inside of noarch packages (like yum).

It is questionable whether the dependency can be rewritten with
python-abi and the like (see #130352), but in any case
/usr/lib/python* should be owned by python even on x86_64.

Version-Release number of selected component (if applicable):
2.4-2

How reproducible:
Always

Steps to Reproduce:
1.rpm -qf /usr/lib/python*
2.
3.
  
Actual results:
file /usr/lib/python2.3 is not owned by any package
file /usr/lib/python2.4 is not owned by any package


Expected results:
Should name the python package

Additional info:
Comment 1 Mihai Ibanescu 2005-04-20 15:36:19 EDT
This one should be fixed in python 2.4.1-2 and newer.
Comment 2 Axel Thimm 2005-05-26 07:51:16 EDT
Verified on FC4t3, thanks!

Note You need to log in before you can comment on or make changes to this bug.